## The `upc_memset` function

#### Synopsis

        #include <upc.h>
        void upc_memset(shared void *dst,
                        int c,
                        size_t n);

#### Description

The `upc_memset` function copies the value of c, converted to an unsigned char, to a shared object with affinity to any single thread. The number of bytes set is n.

The `upc_memset` function treats the `dst` pointer as if had type:

        shared [] char[n]

The effect is equivalent to setting the entire contents of a shared array object with this type (the `dst` array) to the value c.

Terms, definitions, and symbols

Back to index of all UPC functions